package de.cnam.jemina.ui.components.sub;

import com.vaadin.ui.Component;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.TextField;
import com.vaadin.ui.VerticalLayout;
import de.cnam.jemina.i18n.LocalizationManager;
import de.cnam.jemina.objects.Buch;

/**
 * Zu Darstellung eines Buches
 * @author CNAM Team (Nadine, Mike, Jens)
 */
public class DisplayBuch extends CustomComponent {
    
    // Fuer die Uebersetzung:
    private final LocalizationManager locale = LocalizationManager.getLocalizationManager(DisplayBuch.class);
    
    // UI
    private TextField isbn;
    private TextField autoren;
    
    public DisplayBuch(Buch article, boolean canEdit) {
        super();
        setCompositionRoot(genUi(article, canEdit));
        setSizeFull();
    }

    private Component genUi(Buch article, boolean canEdit) {
        VerticalLayout layout = new VerticalLayout();
        layout.setSizeFull();
        layout.setSpacing(true);
        
        isbn = new TextField(locale.localize("isbn"));
        autoren = new TextField(locale.localize("autoren"));
        
        isbn.setValue(article.getIsbn());
        autoren.setValue(article.getAutoren());
        
        isbn.setWidth(100F, UNITS_PERCENTAGE);
        autoren.setWidth(100F, UNITS_PERCENTAGE);
        
        isbn.setReadOnly(!canEdit);
        autoren.setReadOnly(!canEdit);
        
        layout.addComponent(isbn);
        layout.addComponent(autoren);
        
        return layout;
    }

    public TextField getIsbn() {
        return isbn;
    }

    public void setIsbn(TextField isbn) {
        this.isbn = isbn;
    }

    public TextField getAutoren() {
        return autoren;
    }

    public void setAutoren(TextField autoren) {
        this.autoren = autoren;
    }
}
