package de.cnam.jemina.ui.controlls;

import com.vaadin.ui.Component;
import java.util.Map;

/**
 * Interface f&uuml;r Controll-Klassen
 * @author CNAM Team (Nadine, Mike, Jens)
 * @since 22.01.2013
 */
public interface IControll {

    /**
     * Liefert den Namen des Moduls
     * @return 
     */
    public String getName();
    
    /**
     * Liefert den Namen des Icons, welches dieses Modul repr&auml;sentiert
     * @return 
     */
    public String getIconName();
    
    /**
     * Liefert den Namen des Moduls (welches dem Anwender angezeigt werden soll)
     * @return 
     */
    public String getCaption();
    
    /**
     * Liefert die gerenderte View des Moduls.<br/>
     * Als Parameter kann ein bestimmtes Objekt und zus&auml;tzliche Parameter 
     * &uuml;bergeben werden.
     * @param obj Objekt, welches vom Controll verarbeitet werden soll (kann <b>null</b> sein)
     * @param additionalParameters Zus&auml;tzliche Parameter (kann <b>null</b> sein)
     */
    public Component open(Object obj, Map additionalParameters);
    
}
