package de.cnam.jemina.ui.controlls.listener;

import de.cnam.jemina.entrypoint.IJeminaApplication;
import de.cnam.jemina.ui.components.SearchComponent;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Wird aufgerufen, wenn der Anwender eine Suche gestartet hat
 * @author CNAM Team (Nadine, Mike, Jens)
 */
public class SearchListener implements SearchComponent.SuchListener {
    
    // Logging:
    private final Logger log = LoggerFactory.getLogger(SearchListener.class);
    
    // Applikation:
    private final IJeminaApplication app;

    public SearchListener(IJeminaApplication app) {
        this.app = app;
    }    
    
    @Override
        public void suche(String suchbegriff) {
            if (log.isDebugEnabled()) {
                log.debug("Suchanfrage: {}", suchbegriff);
            }
            // @todo: String auslagern
            app.openModul("DisplaySearchResultsControll", suchbegriff, null);
        }  

}
